Ska du installera plugins som inte testats med din WordPress-version?

Ska du installera plugins som inte testats med din WordPress-version?

Ofta frÄgar vÄra anvÀndare oss om varningen att ett plugin inte testas med deras version av WordPress. Ska du installera plugins som plugin? eller hitta ett annat plugin? I den hÀr artikeln kommer vi att diskutera varför du ska installera plugins som inte testats med din version av WordPress? Vad betyder det och hur du kan hjÀlpa WordPress-communityn?

NÀr du installerar ett plugin frÄn WordPress-administrationsomrÄdet kan du se en varning om att ett plugin inte har testats med din version av WordPress.

Hur WordPress fÄr inte testad information?

Det officiella WordPress-pluginförvaret Ă€r den största samlingen av gratis WordPress-plugins med öppen kĂ€llkod. NĂ€r du skickar plugin-programmet mĂ„ste författarna skicka in en “readme” -fil med sina plugins. Denna readme-fil anvĂ€nds sedan av plugin-katalogen för att generera pluginsidan.

Readme-filen innehÄller taggen som anvÀnds för att visa informationen. Pluginförfattare förvÀntas hÄlla denna information uppdaterad.

Detta innebÀr att pluginförfattare bör testa sina plugins och uppdatera readme-filerna för sina plugins vid varje version av WordPress.

Varför uppdaterar inte plugin-författare den hÀr informationen?

MÄnga pluginförfattare uppdaterar inte sina readme-filer alls Àven om de testar plugin-programmet med den senaste versionen.

I en idealisk vÀrld vill vi att alla pluginförfattare uppdaterar denna information. Men vi lever inte i en ideal vÀrld.

Kom ihÄg att dessa plugins Àr gratis, och du betalar inte författare för att ladda ner och anvÀnda dem. Pluginförfattare kÀnner sig mindre benÀgna att uppdatera readme-filen med varje version. De Àr vanligtvis upptagna med sina heltidsjobb och betalda utvecklingsprojekt.

Videohandledning

Prenumerera pÄ WPBeginner

Om du inte gillar videon eller behöver fler instruktioner, fortsÀtt lÀsa.

Ska jag installera dessa plugins?

Ja det borde du. Bara för att en pluginförfattare inte uppdaterade sin readme-fil betyder det inte att de inte har testat sitt plugin eller att plugin inte fungerar med den senaste versionen av WordPress.

Om du hörde talas om ett plugin pÄ WPBeginner kan du med sÀkerhet anta att vi testade plugin-programmet med den senaste versionen av WordPress. Om artikeln du tittar pÄ publicerades ganska nyligen betyder det att plugin-programmet Àr kompatibelt med den senaste versionen av WordPress.

Å andra sidan, om ett plugin inte har uppdaterats pĂ„ mer Ă€n tvĂ„ Ă„r, betyder det att troligen pluginet har övergivits. I sĂ„ fall bör du inte installera plugin-programmet.

Det skulle vara intressant att notera att mÄnga plugins som inte har uppdaterats i mer Àn tvÄ Är faktiskt fortfarande fungerar mycket bra. Du bör dock installera dem pÄ egen risk.

Hur kan du hjÀlpa till?

Du kan installera plugin-programmet pÄ din WordPress-webbplats och testa det. Om det fungerar som förvÀntat, kom tillbaka till plugins sida. Logga in med ditt WordPress.org anvÀndarnamn och lösenord. DÀrefter rullar du ner till botten av sidan dÀr du ser avsnittet om kompatibilitet.

Rösta pÄ plugin-kompatibilitet

VÀlj bara din WordPress-version, plugin-version och klicka sedan pÄ Works-knappen. Genom att göra det lÄter du andra anvÀndare veta att du har testat pluginet, och det fungerar som lovat.

Du kan ocksÄ kontakta plugin-författaren och ber dem att uppdatera plugin-programmets readme-fil

Vad ska jag göra nÀr ett plugin gÄr sönder?

Återigen vill vi pĂ„minna vĂ„ra anvĂ€ndare om att om det Ă€r ett gratis plugin sĂ„ har plugin-författaren tillhandahĂ„llit det som det Ă€r. Det finns ingen garanti, inte ens den underförstĂ„dda konditionsgarantin. Men frĂ„gan Ă€r hur du kan hjĂ€lpa samhĂ€llet att hantera trasiga plugins?

IstÀllet för att lÀmna en hÄrd kommentar till pluginns supporttrÄd kan du lÀmna en konstruktiv och hjÀlpsam feedback. Se vÄr guide om hur du korrekt kan be om WordPress-support och fÄ det.

Innan du gör nÄgot försöker du installera plugin-programmet pÄ olika live- eller lokala WordPress-installationer. Se till att du ocksÄ kan Äterge samma fel pÄ andra installationer.

NÀr du Àr sÀker pÄ att plugin-programmet Àr trasigt, beskriv bara felet i en supporttrÄd och lÀmna det för plugin-författaren eller communityn att svara. Om du inte fÄr svar kan du försöka nÄ pluginförfattaren. De flesta pluginförfattare har kontaktinformation pÄ sina WordPress.org-profilsidor.

Om dessa steg misslyckas bör du gÀrna besöka plugin-sidan och rösta plugin brutet under kompatibilitetsavsnittet.

Vi hoppas att den hÀr artikeln hjÀlpte till att svara pÄ dina frÄgor om huruvida du ska installera plugins som inte testats med din version av WordPress.

Om du gillade den hÀr artikeln, prenumerera sedan pÄ vÄr YouTube-kanal för WordPress-sjÀlvstudier. Du kan ocksÄ hitta oss pÄ Twitter och Google+.